Package: org.gradle.platform.base

## [Java] Interface DependencySpecBuilder

- org.gradle.platform.base.DependencySpecBuilder

- All Superinterfaces:
    DependencySpec

  Interface for a dependency spec builder. Implementations are required to return immutable dependency specs.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `DependencySpec` | `build()` Builds a concrete immutable DependencySpec instance.
    `DependencySpecBuilder` | `library(String name)` Narrows this dependency specification down to a specific library.
    `DependencySpecBuilder` | `project(String path)` Narrows this dependency specification down to a specific project.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface DependencySpec` | `getLibraryName, getProjectPath`

- - ### Method Detail

    - #### public DependencySpec build()

      Builds a concrete immutable DependencySpec instance.

      Returns:
        an immutable dependency specification

    - #### public DependencySpecBuilder library(String name)

      Narrows this dependency specification down to a specific library.

      Parameters:
        `name` - the library name
      Returns:
        this instance

    - #### public DependencySpecBuilder project(String path)

      Narrows this dependency specification down to a specific project.

      Parameters:
        `path` - the project path
      Returns:
        this instance